%line-between {
  line-height: rem(50);
  display: inline-block;
  vertical-align: middle;
  span {
    display: inline-block;
    vertical-align: middle;
    width: rem(10px);
    @include media($sm) {
      width: rem(46px);
    }
    height: 1px;
    background: $color-white-1;
  }
}

.item-slider {
  @include elastic(30, 120, $xs, $md, 'margin-left');
  @include elastic(30, 120, $xs, $md, 'margin-right');
  position: relative;
  &--single{
    /*crutches*/
    .item-slider__slider{
      margin-bottom: 0;
    }
  }
  &__slider {
    font-size: 0;
    @include media($sm) {
      margin-bottom: rem(105);
    }
    @include media($md) {
      margin-bottom: rem(71);
    }
    &--no-margin{
      margin-bottom: 0;
    }
  }
  &__item {
    position: relative;
    padding-top: 53.91180654338549%;
    //background: $color-white-1;
    outline: none;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    &--cropped{
      background-position: center -15px;
    }
  }
  &__img {
    position: absolute;
    left: 50%;
    top: 50%;
    background: #fff;
    transform: translate(-50%, -50%);
  }
  &__arrow {
    box-shadow: 0 rem(7) rem(35) 0 rgba(0, 0, 0, 0.59);
    background-color: $color-black;
    border-radius: 50%;
    width: rem(44);
    height: rem(44);
    //z-index: 2;
    color: $color-white-1;
    fill: $color-white-1;
    z-index: 1;
    &:before {
      display: none;
    }
    &:hover, &:focus {
      background-color: $color-gray-12;
    }
    svg {
      width: rem(10px);
      height: rem(19px);
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
    }
    &--left {
      left: rem(-35);
    }
    &--right {
      right: rem(-35);
      svg {
        transform: translate(-50%, -50%) scaleX(-1);
      }
    }
  }
  &__pagination-wrapper {
    //@include elastic(5, 14, $xs, $md, 'padding-top');
    //@include elastic(5, 14, $xs, $md, 'padding-bottom');
    border-bottom: 1px solid rgba(255, 255, 255, .1);
    width: 100%;
    height: auto;
    @include media($sm) {
      top: 100%;
      position: absolute;
      height: rem(105);
    }
    @include media($md) {
      height: rem(71);
    }
    &--single{
      position: relative;
    }
  }
  &__pagination-items {
    padding: 0;
    height: 3.125rem;
    list-style: none;
    margin-top: 0;
    margin-bottom: 0;
    /* crutches. It couldn't be done other way, so ... */
    &--has-left {
      > li:nth-child(2) {
        .item-slider__pagination-item:empty {
          @include media($sm) {
            margin-left: 10px;
            margin-right: 10px;
          }
        }
        @extend %line-between;
      }
    }
    &--has-right {
      > li:nth-last-child(2) {
        .item-slider__pagination-item:empty{
          @include media($sm) {
            margin-left: 10px;
            margin-right: 10px;
          }
        }
        @extend %line-between;
      }
    }
  }
  &__pagination-item {
    font-family: $font-primary;
    color: $color-white-1;
    font-size: rem(12);
    font-weight: bold;
    display: inline-block;
    padding-left: 10px;
    padding-right: 10px;
    line-height: rem(50);
    cursor: pointer;
    &:not(:last-child) {
      @include elastic(5, 50, $xs, $md, 'margin-right');
    }
    .slick-active & {
      color: $color-primary;
      cursor: default;
    }
  }
  &__text {
    font-family: arial, sans-serif;
    color: $color-gray-1;
    font-size: rem(12);
    margin-right: rem(10);
  }
  &__text-value {
    font-family: $font-primary;
    color: rgba(255, 255, 255, .5);
    font-size: rem(16);
    text-transform: uppercase;
  }
}

.full-screen-icon {
  width: rem(50);
  height: rem(50);
  stroke: $color-black-2;
  border-radius: 50%;
  background: $color-gray-4;
  &--abs{
    position: absolute;
    right: rem(25);
    top: rem(25);
  }
}

/*:-webkit-full-screen {
  font-size: 16px;
}
:-moz-full-screen {
  font-size: 16px;
}*/

/*меняем отдельный элемент */
.item-slider__img:-webkit-full-screen {
  min-width: 50%;
}

.item-slider__img:-moz-full-screen {
  min-width: 50%;
}
